---
title: get entity use codes
slug: api-documentation/get-entity-use-codes
docTags: 
createdAt: 2026-08-27T17:08:54.010Z
---

{
  "id": "v2KlSBROsSf4KnIOgVpff",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.upstartcommerce.com/v1/tax/entityusecodes",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/tax/entityusecodes",
        "description": "Dev Server"
      }
    ],
    "name": "get entity use codes",
    "description": "<p>This endpoint displays all the entity use codes associated with a certain tenant.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li>Authorizers.taxRead</li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        },
        {
          "kind": "optional",
          "name": "x-upstart-site",
          "type": "string",
          "description": "Unique identifier for the site."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>Success-found the relevant entity use code.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "",
            "minItems": 1,
            "uniqueItems": true,
            "schema": [
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "description": "<p>The Avalara-recognized entity use code.</p>",
                "minLength": 1
              },
              {
                "name": "name",
                "kind": "optional",
                "type": "string",
                "description": "Name of this entity use code.",
                "minLength": 1
              },
              {
                "name": "description",
                "kind": "optional",
                "type": "string",
                "description": "Description of this entity use code."
              },
              {
                "name": "validCountries",
                "kind": "optional",
                "type": "array",
                "description": "A list of countries where this entity use code is valid.",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              }
            ],
            "itemType": "object",
            "customType": "object[]",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "<p>Unauthorized-the provided credentials were invalid for this endpoint.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>Error payload returned by the bad-request and unauthorized responses, identifying the failure by name, code and detail.</p>",
            "customType": "GeneralError",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "Error name.",
                "minLength": 1
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": "Error code.",
                "minLength": 1
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": "Reason why this error occurred.",
                "minLength": 1
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": "Error details.",
                "minLength": 1
              }
            ],
            "modelRef": "#/components/schemas/GeneralError",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "<p>Not Found-the requested resource was not found in the NoChannel system.</p>",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "6rVZJA14_-sLitgl5Oudq",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.upstartcommerce.com/v1/tax/entityusecodes \\\n     --header 'accept: application/json' \\\n     --header 'x-upstart-tenant: string'"
        },
        {
          "id": "99bTjde_OrxVGA_oXX5vB",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/tax/entityusecodes\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "enq9em3wNcaQb6n-u5fpW",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/tax/entityusecodes\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "E7jGCeqIiqoRsYhjDh2wt",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/tax/entityusecodes\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "6rVZJA14_-sLitgl5Oudq"
    },
    "results": {
      "languages": [
        {
          "id": "_87ccXe4FNW82lQqZqLv3",
          "language": "200",
          "code": "// Success-found the relevant entity use code.\n[\n  {\n    \"code\": \"\",\n    \"name\": \"\",\n    \"description\": \"\",\n    \"validCountries\": [\n      \"\"\n    ]\n  }\n]"
        },
        {
          "id": "7VPynAH_qDX0EK2qs-Hc1",
          "language": "401",
          "code": "// Unauthorized-the provided credentials were invalid for this endpoint.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"reason\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "0MYX8k9ikVxsS76hT_GAk",
          "language": "404",
          "code": "// Not Found-the requested resource was not found in the NoChannel system.\n"
        }
      ],
      "selectedLanguageId": "_87ccXe4FNW82lQqZqLv3"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}